---
id: crnaberza
name: CrnaBerza
description: "Crna Berza is a BALKAN Private Torrent Tracker for MOVIES / TV / GENERAL"
language: sr-SP
type: private
encoding: UTF-8
links:
  - https://www.crnaberza.com/
legacylinks:
  - http://www.crnaberza.com/

caps:
  categorymappings:
    - {id: 65, cat: Movies/3D, desc: "3D Film"}
    - {id: 82, cat: Movies/UHD, desc: "4K video"}
    - {id: 79, cat: PC/Mobile-Android, desc: "Android"}
    - {id: 37, cat: Movies, desc: "Deca"}
    - {id: 43, cat: TV/Documentary, desc: "Dokumentarci"}
    - {id: 83, cat: Movies/BluRay, desc: "Film/BluRay Domaće"}
    - {id: 84, cat: Movies/BluRay, desc: "Film/Digitalno Restaurisani"}
    - {id: 52, cat: Movies/DVD, desc: "Film/DVD Domaće"}
    - {id: 20, cat: Movies/DVD, desc: "Film/DVD Strano"}
    - {id: 73, cat: Movies/HD, desc: "Film/HD Domaće"}
    - {id: 48, cat: Movies/HD, desc: "Film/HD Strano"}
    - {id: 29, cat: Movies/SD, desc: "Film/SD Domaće"}
    - {id: 54, cat: Movies/SD, desc: "Film/SD Strano"}
    - {id: 64, cat: Movies/HD, desc: "HD Boxset"}
    - {id: 61, cat: Movies/HD, desc: "HD Mesano"}
    - {id: 50, cat: PC/Games, desc: "Igre"}
    - {id: 44, cat: Books, desc: "Knjige"}
    - {id: 46, cat: Audio, desc: "Koncerti"}
    - {id: 58, cat: Audio/Lossless, desc: "Lossless/Domaće"}
    - {id: 59, cat: Audio/Lossless, desc: "Lossless/Strano"}
    - {id: 5, cat: Audio/MP3, desc: "MP3/Domaće"}
    - {id: 57, cat: Audio/MP3, desc: "MP3/Strano"}
    - {id: 80, cat: TV, desc: "Paketi"}
    - {id: 49, cat: PC, desc: "Programi"}
    - {id: 28, cat: Other, desc: "Razno"}
    - {id: 85, cat: Movies, desc: "Remux"}
    - {id: 62, cat: TV/SD, desc: "SD Boxset"}
    - {id: 38, cat: TV/Sport, desc: "Sport"}
    - {id: 39, cat: Audio/Video, desc: "Spotovi DVD"}
    - {id: 45, cat: Books/Comics, desc: "Stripovi"}
    - {id: 75, cat: TV/HD, desc: "TV/HD Domaće"}
    - {id: 77, cat: TV/HD, desc: "TV/HD Strano"}
    - {id: 78, cat: TV/Other, desc: "TV/ostalo"}
    - {id: 30, cat: TV/SD, desc: "TV/SD Domaće"}
    - {id: 34, cat: TV/SD, desc: "TV/SD Strano"}
    - {id: 60, cat: XXX, desc: "XXX/Domace"}
    - {id: 63, cat: XXX, desc: "XXX/Strano"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: info
    type: info
    label: Results Per Page
    default: For best results, change the 'Torrents per page' setting to 100 on your 'Personal Options' from the 'Personal' menu on the Crna Berza webpage.
  - name: freeleech
    type: checkbox
    label: Filter freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc

login:
  path: login.php
  method: form
  form: form[action="takelogin.php"]
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    remember: 1
    returnto: /
  error:
    - selector: h2
      message:
        selector: table tr td.text
  test:
    path: browse.php
    selector: a[href$="/logout.php"]

search:
  paths:
    # http://www.crnaberza.com/browse.php?c52=1&c20=1&c34=1&incldead=1&search=star+trek
    - path: browse.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
    # 0 title, 1 descr, 2 both
    blah: 0
    # 0 active, 1 incldead, 2 onlydead
    incldead: 1
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    # does not support searching imdbid and does not return imdb links

  rows:
    selector: "tr:has(td.trowtorrent){{ if .Config.freeleech }}:has(img[src$=\"/pic/freedownload.gif\"]){{ else }}{{ end }}"

  fields:
    category:
      selector: td:nth-of-type(1) a
      attribute: href
      filters:
        - name: regexp
          args: "[-](\\d{1,2})$"
    title:
      selector: td:nth-of-type(2) a
    details:
      selector: td:nth-of-type(2) a
      attribute: href
    download:
      selector: td:nth-of-type(3) a
      attribute: href
    files:
      selector: td:nth-of-type(4)
    date_day:
      # Danas<br>08:10 AM
      # Juče<br>06:44 PM
      selector: td:nth-of-type(6):contains("Danas"), td:nth-of-type(6):contains("Juče")
      # auto adjusted by site account profile
      optional: true
      filters:
        - name: replace
          args: ["Danas", "Today"]
        - name: replace
          args: ["Juče", "Yesterday"]
    date_year:
      # Feb 14 2019<br>10:20 AM
      selector: td:nth-of-type(6):not(:contains("Juče")):not(:contains("Danas"))
      # auto adjusted by site account profile
      optional: true
      filters:
        - name: dateparse
          args: "MMM d yyyy hh:mm tt"
    date:
      text: "{{ if or .Result.date_day .Result.date_year }}{{ or .Result.date_day .Result.date_year }}{{ else }}now{{ end }}"
    size:
      selector: td:nth-of-type(7)
    grabs:
      selector: td:nth-of-type(8) a
      filters:
        - name: regexp
          args: ([\d]+)
    seeders:
      selector: td:nth-of-type(9)
    leechers:
      selector: td:nth-of-type(10)
    downloadvolumefactor:
      case:
        "img[src$=\"/pic/freedownload.gif\"]": 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 1.0
    minimumseedtime:
      # 7 day (as seconds = 7 x 24 x 60 x 60)
      text: 604800
# U-232
